%define upstream_name    Net-HTTPS-NB
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Non-blocking HTTPS client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::SSL) >= 0.980.0
BuildRequires: perl(Net::HTTP)
BuildRequires: perl(Net::HTTPS)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
Same interface as Net::HTTPS but it will never try multiple reads when the
read_response_headers() or read_entity_body() methods are invoked. In
addition allows non-blocking connect.

* If read_response_headers() did not see enough data to complete the
  headers an empty list is returned.

* If read_entity_body() did not see new entity data in its read the value
  -1 is returned.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.130.0-2.mga4
+ Revision: 527941
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 kharec <kharec> 0.130.0-1.mga4
+ Revision: 442978
- update to 0.13

* Fri Feb 22 2013 kharec <kharec> 0.120.0-1.mga3
+ Revision: 399852
- imported package perl-Net-HTTPS-NB


* Fri Feb 22 2013 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
